Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 596604 - Fix some serious issues in the nouveau vbios parser
Fix some serious issues in the nouveau vbios parser
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All Linux
low Severity high
: rc
: ---
Assigned To: Red Hat Kernel Manager
desktop-bugs@redhat.com
:
Depends On:
Blocks: 534148
  Show dependency treegraph
 
Reported: 2010-05-27 01:44 EDT by Ben Skeggs
Modified: 2010-11-11 11:13 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 11:13:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Skeggs 2010-05-27 01:44:27 EDT
Two major issues have recently been identified, and fixed upstream, in the nouveau vbios parser.

The first is that it's possible for nouveau to execute some of the init tables in the VBIOS when it's not supposed to, causing us to disable the panel on some systems (as in Fedora bug #582621), and potentially worse depending on how the video BIOS was written.

The second problem is in the handling of i2c-related opcodes in the VBIOS init tables.  The code could address the wrong slave device, with unpredictable and potentially severe consequences.

Both of these issues should be fixed before the RHEL6 release.
Comment 2 Aristeu Rozanski 2010-06-03 15:57:44 EDT
Patch(es) available on kernel-2.6.32-32.el6
Comment 5 Vladimir Benes 2010-06-10 07:44:10 EDT
the fixes from 32-32 kernel are causing hard lockups to my T410 as soon as I select user in gdm.. can't get any logs via ssh.. the box is dead

nVidia Qudaro NVS3100

x86_64
Comment 7 Vladimir Benes 2010-06-11 08:56:41 EDT
moving back to ON_QA as we've finally realized that it's not video but audio issue. Big kudos to Ben Skeggs :)
Comment 8 Vladimir Benes 2010-08-18 05:34:30 EDT
I can confirm patches inclusion in kernel build, sanity testing performed, no problems found
-> VERIFIED
Comment 9 releng-rhel@redhat.com 2010-11-11 11:13:19 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.